import type { Address, Platform } from "@wormhole-foundation/sdk-connect";
import { UniversalAddress } from "@wormhole-foundation/sdk-connect";
import type { AnyAptosAddress } from "./types.js";
export declare const AptosZeroAddress = "0x";
export declare function ensureFullAptosAddress(address: string): string;
export declare class AptosAddress implements Address {
    static readonly byteSize = 32;
    readonly platform: Platform;
    readonly type: string;
    readonly address: Uint8Array;
    readonly module: string | undefined;
    constructor(address: AnyAptosAddress);
    unwrap(): string;
    toString(): string;
    toNative(): this;
    toUint8Array(): Uint8Array;
    toUniversalAddress(): UniversalAddress;
    static instanceof(address: any): address is AptosAddress;
    equals(other: AptosAddress | UniversalAddress): boolean;
}
declare module "@wormhole-foundation/sdk-connect" {
    namespace WormholeRegistry {
        interface PlatformToNativeAddressMapping {
            Aptos: AptosAddress;
        }
    }
}
//# sourceMappingURL=address.d.ts.map