"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.coalesceModuleAddress = exports.isValidAptosType = exports._platform = exports.unusedArbiterFee = exports.unusedNonce = void 0;
const constants_js_1 = require("./constants.js");
exports.unusedNonce = 0;
exports.unusedArbiterFee = 0n;
exports._platform = "Aptos";
/**
 * Test if given string is a valid fully qualified type of moduleAddress::moduleName::structName.
 * @param str String to test
 * @returns Whether or not given string is a valid type
 */
const isValidAptosType = (str) => /^(0x)?[0-9a-fA-F]+::\w+::\w+$/.test(str);
exports.isValidAptosType = isValidAptosType;
/**
 * Returns module address from given fully qualified type/module address.
 * @param str FQT or module address
 * @returns Module address
 */
const coalesceModuleAddress = (str) => str.split(constants_js_1.APTOS_SEPARATOR)[0];
exports.coalesceModuleAddress = coalesceModuleAddress;
//# sourceMappingURL=types.js.map